Get the processing status of a previously created upload. Only accessible by the DID that created the upload.
GET
/xrpc/place.stream.media.getUploadStatus
Parameters
Section titled “ Parameters ”Query Parameters
Section titled “Query Parameters ” uploadId
required
The upload ID returned by place.stream.media.createUpload.
string
The upload ID returned by place.stream.media.createUpload.
Responses
Section titled “ Responses ”Success
object
status
required
Current processing status of the upload.
string
progress
Processing progress percentage (0-100). Only meaningful when status is ‘processing’.
integer
tracks
Published track records. Present when status is ‘done’.
Array<object>
object
uri
required
string format: uri
cid
required
string
durationMs
Duration of the processed video in milliseconds. Present when status is ‘done’.
integer
error
Error message. Present when status is ‘error’.
string
Bad Request